Skip to content

Get Webhook Endpoint

GET /webhook-endpoints/{endpoint_id}
NameInTypeNotes
endpoint_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseWebhookEndpointView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/webhook-endpoints/{endpoint_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
agent_idstring (uuid)required—
slugstringrequired—
http_methodPOST | GET | PUTrequired—
verificationhmac_sha256 | shared_token | nonerequired—
secret_setbooleanrequired—
rotation_activebooleanrequired—
secret_overlap_untilstring (date-time) | nullrequired, nullable—
prompt_templatestringrequired—
input_templateobject | nullrequired, nullable—
session_key_templatestring | nullrequired, nullable—
persona_slug_templatestring | nullrequired, nullable—
subject_templateobject | nullrequired, nullable—
response_modeasync | sync | callback | ackrequired—
response_pathstring | nullrequired, nullable—
callback_urlstring | nullrequired, nullable—
event_kindstring | nullrequired, nullable—
rate_limit_per_minuteintegerrequired—
coalescingobjectrequired—
unverified_ackbooleanrequired—
call_countintegerrequired—
is_activebooleanrequired—
created_atstring (date-time)required—